List Webhooks
GET/webhooks
Lists all webhooks created for the account.
Request
Responses
- 200
- 400
GET /webhooks Successful response
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Possible values: [1.0]
The version of the response schema
Possible values: [list]
A non-paginated list of the webhook resource.
Possible values: [webhook]
Data contains the webhook resource.
data object[]required
The unique identifier of the partially signed document
Possible values: [partially_signed_document]
Possible values: [queued, current, stale, deprecated, failed]
Possible values: <= 9007199254740991
file objectnullablerequired
The file resource
The unique identifier of the file
Possible values: [file]
Possible values: non-empty
The complete filename including the file extension
Possible values: non-empty
The mime type of the file
The signed read url of the file
metadata object
A provided lookup key provided by you to help you identify the file.
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
UTC datetime ISO string
{
"version": "1.0",
"result_type": "list",
"resource_type": "webhook",
"data": [
{
"id": "c0t3ij0cupl9hte4mwuexample",
"resource_type": "partially_signed_document",
"status": "queued",
"revision": 0,
"file": {
"id": "cnmrjiuebamsmek40myexample",
"resource_type": "file",
"filename": "my-file.pdf",
"mime_type": "application/pdf",
"url": "https://zigned.se",
"metadata": {
"lookup_key": "file_tag"
},
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
},
"delete_scheduled_at": "2024-01-01T00:00:00.000Z",
"deleted_at": "2024-01-01T00:00:00.000Z",
"deleted": true,
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
]
}
GET /webhooks Error response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
error objectrequired
Possible values: [input_validation_error, bad_request, authorization_error, forbidden_error, not_found_error, conflict_error, internal_server_error]
input_validation_error (400): the request input is invalid. bad_request (400): the request cannot be processed. authorization_error (401): the access token is missing or invalid. forbidden_error (403): the client is not allowed to perform the request. not_found_error (404): the resource does not exist. conflict_error (409): a concurrent change made the request invalid, e.g. the agreement stopped being editable while the request was processed. Re-fetch the resource before retrying. internal_server_error (500): an unexpected error occurred.
Possible values: >= 400 and <= 599
{
"status": "error",
"error": {
"type": "input_validation_error",
"code": 0,
"message": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}